aboutsummaryrefslogtreecommitdiffstats
path: root/test/monniaux/BearSSL/mk/mkT0.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/monniaux/BearSSL/mk/mkT0.sh')
-rwxr-xr-xtest/monniaux/BearSSL/mk/mkT0.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/monniaux/BearSSL/mk/mkT0.sh b/test/monniaux/BearSSL/mk/mkT0.sh
new file mode 100755
index 00000000..61de5c6e
--- /dev/null
+++ b/test/monniaux/BearSSL/mk/mkT0.sh
@@ -0,0 +1,11 @@
+#! /bin/sh
+
+CSC=$(which mono-csc || which dmcs || echo "none")
+
+if [ $CSC = "none" ]; then
+ echo "Error: Please install mono-devel."
+ exit 1
+fi
+
+set -e
+$CSC /out:T0Comp.exe /main:T0Comp /res:T0/kern.t0,t0-kernel T0/*.cs